::       dred_riu.bat 
::       MED, 05.16.02
::       Version: A
::      Revised 09.26.02 to add support for TDM #3
cls
@echo off
echo=.
echo=.   Advanced Simulation Technology, inc.
echo=.   Test Routine for Remote Interface Unit
echo=.   For use with Model Builder 4.04d or later
echo .
echo=.   This routine performs basic diagnostic tests on Remote Interface
echo=.   Unit (RIU) audio and digital interfaces.
echo=.   
echo=.   At model start a unique tone is played on each channel
echo=.   CH A = Caution tone
echo=.   CH B = Sine Wave Sweep
echo=.   CH C = Jamming noises
echo=.   CH D = Recorded ATIS message
echo=.   
echo=.   Disable the tones and enable audio loopback by going to the
echo=.   CONTROLS list for the model under test and toggling the 
echo=.   "Output_Control" from ON to OFF.
echo=.   
echo=.   Triggering the DI for a given channel will activate the DO for
echo=.   that channel.
pause
cls
echo=.   
echo=.   Technical information on the RIU may be found at: WWW.ASTi-USA.COM
echo=.   
echo=.   Press Ctrl-C to terminate this routine -OR-
echo=.
pause    
cls
echo=.
choice/n/c:123 Enter TDM Card Address (1, 2 or 3):
if errorlevel== 1 set d=1
if errorlevel== 2 set d=2
if errorlevel== 3 set d=3
cls
echo=.
choice/n/c:123456 Enter an RIU Address (1 to 6):
if errorlevel== 1 set r=1
if errorlevel== 2 set r=2
if errorlevel== 3 set r=3
if errorlevel== 4 set r=4
if errorlevel== 5 set r=5
if errorlevel== 6 set r=6
cls
echo=. 
echo=.   Preparing to Test TDM #%d% / RIU #%r%
echo=.
echo=.   Press Ctrl-C to terminate this routine -OR-
echo=.
pause
cls
cd\mbuilder\user\riu_test
mb dred%d%_%r%
