

REM UPDATE command                                 ver 1.0  (9/9/94)
ECHO OFF
CLS
ECHO.
ECHO The UPDATE command is used to transfer certain directories and files
ECHO located on the temporary storage disk (FIXED Drive D:) to an Embedded
ECHO DACS removable disk (inserted in REMOVABLE Drive C:). These files and
ECHO directories include:
ECHO.
ECHO   * d:\mbuilder (all files and subdirectories)
ECHO   * d:\fast5 (all files)
ECHO   * d:\batch (all files)
ECHO   * d:\autoexec.bat
ECHO   * d:\config.sys
ECHO.
ECHO Use this command to update one or more Embedded DACS removable drives
ECHO with any new development files, new Model Builder Application Software,
ECHO new Model Builder Software Packages, or new Custom Sound Model updates
ECHO created or loaded on your development disk and transferred to the
ECHO temporary storage disk using the STOREDEV command.
ECHO. 
ECHO Format:  UPDATE [mm-dd-yy]
ECHO          (If mm-dd-yy is specified only files with this date or
ECHO          later will be updated) 
ECHO.
ECHO Press Any Key To Continue
ECHO.
Pause
CLS
ECHO.
ECHO Before continuing verify that the removable drive installed is
ECHO NOT the development drive. The volume label of the current removable
ECHO drive is:
VOL c:
ECHO.
ECHO If the volume label IS DEVELOPMENT terminate the store process
ECHO and install the desired Embedded DACS removable drive.
ECHO.
ECHO Press ^C To Terminate or Any Key To Continue
ECHO.
Pause
If "%1"=="" GOTO NO_DATE
xcopy d:\mbuilder\*.* c:\mbuilder\*.* /d:%1 /e /h /r /s /v
IF ERRORLEVEL 4 GOTO BAD_DATE
IF ERRORLEVEL 2 GOTO TERM
xcopy d:\fast5\*.* c:\fast5\*.* /d:%1 /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
xcopy d:\batch\*.* c:\batch\*.* /d:%1 /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
del c:\batch\update.bat
xcopy d:\autoexec.bat c:\*.* /d:%1 /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
xcopy d:\config.sys c:\*.* /d:%1 /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
GOTO OK
:NO_DATE
xcopy d:\mbuilder\*.* c:\mbuilder\*.* /e /h /r /s /v
IF ERRORLEVEL 4 GOTO BAD_DATE
IF ERRORLEVEL 2 GOTO TERM
xcopy d:\fast5\*.* c:\fast5\*.* /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
xcopy d:\batch\*.* c:\batch\*.* /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
del c:\batch\update.bat
xcopy d:\autoexec.bat c:\*.* /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
xcopy d:\config.* c:\*.* /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
GOTO OK
:BAD_DATE
CLS
ECHO.
ECHO  Date Format Incorrect (Use mm-dd-yy)
ECHO.
GOTO END
:TERM
CLS
ECHO.
ECHO  Update Operation Terminated By User
ECHO.
:OK
ECHO.
ECHO Update Complete
ECHO.
ECHO Remove updated Embedded DACS disk and reinstall DEVELOPMENT disk
ECHO or install another Emedded DACS disk and repeat process. 
:END
ECHO.
