::       riutest.bat 
::       CEM, 10.16.01
::       Version: A
::      Revised 09.26.02 to add support for TDM #3
cls
@echo off
echo=.
echo=.   Advanced Simulation Technology, inc.
echo=.   Test Routine for Remote Interface Unit, PN: RIU-V41-[x]
echo=.   For use with Model Builder 4.04d or later
echo .
echo=.   This routine performs basic diagnostic tests on Remote Interface
echo=.   Unit (RIU) audio and digital interfaces.
echo=.   
echo=.   Before proceeding, it is IMPORTANT that the user disconnect all
echo=.   peripheral devices from the Channel jacks of the RIU under test.
echo=.  
echo=.   An RIU Test Plug, PN: TIU-01, is required to loop test signals 
echo=.   from RIU outputs to inputs.
echo=.
echo=.   This routine and the RIU Test Plug should only be used with RIU
echo=.   Version RIU-V41! Operation with other version RIUs may result in 
echo=.   equipment damage.  For more details consult the RIU Diagnostic 
echo=.   Testing application note at: WWW.ASTi-USA.COM
echo=.   
echo=.   Press Ctrl-C to terminate this routine -OR-
echo=.
pause    
cls
echo=.
choice/n/c:123 Enter TDM Card Address (1, 2 or 3):
if errorlevel== 1 set d=1
if errorlevel== 2 set d=2
if errorlevel== 3 set d=3
cls
echo=.
choice/n/c:123456789abcde Enter an RIU Address (1 to E, hexadecimal):
if errorlevel== 1 set r=1
if errorlevel== 2 set r=2
if errorlevel== 3 set r=3
if errorlevel== 4 set r=4
if errorlevel== 5 set r=5
if errorlevel== 6 set r=6
if errorlevel== 7 set r=7
if errorlevel== 8 set r=8
if errorlevel== 9 set r=9
if errorlevel== 10 set r=10
if errorlevel== 11 set r=11
if errorlevel== 12 set r=12
if errorlevel== 13 set r=13
if errorlevel== 14 set r=14
cls
echo=. 
echo=.   Preparing to Test TDM #%d% / RIU #%r%
echo=.
echo=.   Press Ctrl-C to terminate this routine -OR-
echo=.
pause
cls
cd\mbuilder\user\riu_test
mb d%d%r%r%
