REM  STOREDEV command                                          ver 1.0 (9/9/94)
ECHO OFF
CLS
ECHO.
ECHO The STOREDEV command is used to temporarily store certain directories and
ECHO files located on the development drive (REMOVABLE Drive C:) on the
ECHO temporary storage disk (FIXED Drive D:). These files and directories include:
ECHO.
ECHO   * c:\mbuilder (all files and subdirectories)
ECHO   * c:\fast5 (all files)
ECHO   * c:\batch (all files)
ECHO   * c:\autoexec.bat
ECHO   * c:\config.sys
ECHO.
ECHO Use this command to temporarily store files and directories before updating
ECHO Embedded DACS removable drives with any new development files, new
ECHO Model Builder Application Software, new Model Builder Software Packages, or
ECHO new Custom Sound Model updates. 
ECHO. 
ECHO Format:  STOREDEV [mm-dd-yy]                            
ECHO          (If mm-dd-yy is specified only files with this date or
ECHO          later will be stored to the temporary storage disk) 
ECHO.
ECHO Press Any Key To Continue
ECHO.
Pause
CLS
ECHO.
ECHO Before continuing verify that the removable drive installed is
ECHO the development drive. The volume label of the current removable
ECHO drive is:
VOL c:
ECHO.
ECHO If the volume label is not DEVELOPMENT terminate the store process
ECHO and install the development drive.
ECHO.
ECHO Press ^C To Terminate or Any Key To Continue
ECHO.
Pause
If "%1"=="" GOTO NO_DATE
xcopy c:\mbuilder\*.* d:\mbuilder\*.* /d:%1 /e /h /r /s /v
IF ERRORLEVEL 4 GOTO BAD_DATE
IF ERRORLEVEL 2 GOTO TERM
xcopy c:\fast5\*.* d:\fast5\*.* /d:%1 /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
xcopy c:\batch\*.* d:\batch\*.* /d:%1 /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
del d:\batch\storedev.bat
xcopy c:\autoexec.bat d:\*.* /d:%1 /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
xcopy c:\config.sys d:\*.* /d:%1 /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
GOTO OK
:NO_DATE
xcopy c:\mbuilder\*.* d:\mbuilder\*.* /e /h /r /s /v
IF ERRORLEVEL 4 GOTO BAD_DATE
IF ERRORLEVEL 2 GOTO TERM
xcopy c:\fast5\*.* d:\fast5\*.* /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
xcopy c:\batch\*.* d:\batch\*.* /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
del d:\batch\storedev.bat
xcopy c:\autoexec.bat d:\*.* /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
xcopy c:\config.* d:\*.* /e /h /r /v
IF ERRORLEVEL 2 GOTO TERM
GOTO OK
:BAD_DATE
CLS
ECHO.
ECHO  Date Format Incorrect (Use mm-dd-yy)
ECHO.
GOTO END
:TERM
CLS
ECHO.
ECHO  Temporary Store Operation Terminated By User
ECHO.
:OK
ECHO.
ECHO  Temporary Store Complete. Use UPDATE command located at d:\batch to update
ECHO  Embedded System disks.
ECHO.
:END
